/*-------------------------------------------------------------------*/
/*
	Machine dependent system routines
	Version for the HP 9000
*/
/*-------------------------------------------------------------------*/

#include <sys/types.h>
#include <sys/times.h>
#include <sys/param.h>

int cputime_()
/*
	Return current total CPU time used by process in milliseconds.
*/
{
	int it;
	struct tms buf;

	times( &buf );
/* Get time in clock ticks */
	it = ( buf.tms_utime + buf.tms_stime + buf.tms_cutime + 
		buf.tms_cstime );
/* Convert to milliseconds */
	return( (int)( 1000.*(float)(it)/(float)(HZ) ) );
}

int sysclock_()
/*
	Return current system clock time in milliseconds
*/
{
	struct tms tb;

	times( &tb );
	return ( (1000 * times( &tb )) / HZ );
}

int jwsize_()
{
	return(sizeof(int));
}

int jloc_( loc )
int *loc;
{
	return( (int)(loc) );
}


int exit_( ier )
int *ier;
{
	exit( *ier );
}

