/*--------------------------------------------------------------------*/
/*  NAME:
/*    cproc.c - memory allocation and proc phase execution for
/*              the ARCO Seismic Benchmark Suite
/*
/*  VERSION:
/*    Initial version with no check on limits
/*
/*--------------------------------------------------------------------*/
/*
/*  HISTORY:
/*
/*     Written:
/*       01/13/94 - C. Mosher, ARCO E&PT 
/*
/*     References:
/*
/*     Modified:
/*
/*--------------------------------------------------------------------*/

static float *otr, *ra, *sa;

int cproc_( lotr, lra, lsa )
int *lotr, *lra, *lsa;
{

/* Allocate arrays */
	otr = (float *)malloc( *lotr*sizeof(float) );
	ra = (float *)malloc( *lra*sizeof(float) );
	sa = (float *)malloc( *lsa*sizeof(float) );

	if (sa == (float *)0) return(-1);

/* Call proc phase */
	seisproc_( otr, ra, sa );

	return(0);
}

/*--------------------------------------------------------------------*/
/*  NAME
/*    sysbase - Return offset to system common
/*
/*  USAGE:
/*    integer offset
/*    integer ra(*)
/*    call sysbase( ra, offset )
/*
/*--------------------------------------------------------------------*/

int sysbase_( xa, offset )
int *xa, *offset;
{
	*offset = (int)ra - (int)xa;
	return(0);
} 
