C*----------------------------------------------------------------------
C*
C*  NAME:
C*    sys.inc - Definition of system common blocks for seismic
C*              processing benchmark
C*     
C*  SYNOPSIS:
C*    include 'sys.inc'
C*
C*  DESCRIPTION: 
C*    Defines the size and layout of trace, reserved, and working
C*    storage.  Stores process names and cpu times.
C*
C*----------------------------------------------------------------------
C*   DEPENDENCIES:
C*     None
C*
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       12/31/91 - C. Mosher, ARCO E&PT 
C*
C*     References:
C*       Seismic Benchmark Users Guide
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
C  Max number of processes
	integer MAXPRC
	parameter (MAXPRC=48)

C  Marker for start of system common
	integer sys_start
	common /sys/ sys_start

C  Number of processes, current process, top process,
	integer nproc, jproc, jtop
C  Standard output unit number, parameter file unit number
	integer ipr, iuparm
	common /sys/ nproc, jproc, jtop, ipr, iuparm
C  Run time lengths of system arrays
	integer lotr, lra, lsa
	common /sys/ lotr, lra, lsa
C  System values of leading dimension, max traces, reserved length,
C    and scratch length
	integer ldim, maxtrc, nra, nsa
	common /sys/ ldim, maxtrc, nra, nsa
C  Reserved array pointers
	integer lenra(MAXPRC)
	integer kra(MAXPRC)
C  Process CPU and elapsed times
	real ctime(MAXPRC)
	real etime(MAXPRC)
C  Initial value of system timer
	real et0
	common /sys/ lenra,kra,ctime,etime,et0
C  Process names
	character*4 name(MAXPRC)
	common /sys/ name

C  Marker for end of system common
	integer sys_end
	common /sys/ sys_end

	save /sys/
 
C*----------------------------------------------------------------------
